/**
 * ActRelationshipReason2.java
 *
 * File generated from the medication2::ActRelationshipReason2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipReason2.
 *
 * 
 */

@XmlType(name = "ActRelationshipReason")
@XmlEnum
@XmlRootElement(name = "ActRelationshipReason2")
public enum ActRelationshipReason2 {
	@XmlEnumValue("RSON")
	RSON("RSON"),
	@XmlEnumValue("MITGT")
	MITGT("MITGT");
	
	private final String value;

    ActRelationshipReason2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActRelationshipReason2 fromValue(String v) {
        for (ActRelationshipReason2 c: ActRelationshipReason2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
